package com.yd.csf.feign.enums;

/**
 * 用户关系枚举
 */
public enum RelTypeEnum {

    //用户关系枚举
    MYSELF("本人","MYSELF"),
    PARENTS("父母","PARENTS"),
    FATHER("父亲","FATHER"),
    MOTHER("母亲","MOTHER"),
    //TODO ....
    ;
    //字典项标签（名称）
    private String itemLabel;
    //字典项值
    private String itemValue;

    //构造函数
    RelTypeEnum(String itemLabel, String itemValue) {
        this.itemLabel = itemLabel;
        this.itemValue = itemValue;
    }

    public String getItemLabel() {
        return itemLabel;
    }

    public String getItemValue() {
        return itemValue;
    }
}
